> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/guang-gao/googleadmob.isappsintossadmobloaded.md).

# GoogleAdMob.isAppsInTossAdMobLoaded

### 功能说明

确认该广告组的 AdMob 广告是否已成功加载。用于在展示广告前检查加载状态。

调用前 `GoogleAdMob.isAppsInTossAdMobLoaded.isSupported()`可通过它确认是否支持。

### 类型

```ts
GoogleAdMob.isAppsInTossAdMobLoaded(options: IsAdMobLoadedOptions): Promise<boolean>;
```

**参数**

```ts
type IsAdMobLoadedOptions = {
  /** 要检查的广告组 ID。 */
  adGroupId: string;
};
```

**响应**

如果广告已加载 `true`会返回。

### 示例代码

```js
import { Ads } from "@apps-in-toss/web-framework";

async function checkAdLoaded() {
  try {
    const isLoaded = await GoogleAdMob.isAppsInTossAdMobLoaded({
      adGroupId: "AD_GROUP_ID",
    });
    console.log(isLoaded ? "广告已准备就绪" : "广告尚未准备好。");
  } catch (error) {
    console.error(error);
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/guang-gao/googleadmob.isappsintossadmobloaded.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
